Bug 1537251 - AArch64 Server Promotion
Summary: AArch64 Server Promotion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28,SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:05 UTC by Jan Kurik
Modified: 2018-05-02 12:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 12:05:20 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-22 19:05:41 UTC
This is a tracking bug for Change: AArch64 Server Promotion
For more details, see: https://fedoraproject.org/wiki/Changes/AArch64_Server_Promotion

Promote Aarch64 server technologies to Primary Architecture status. This would include the Server installer, the DVD installer ISOs, the Cloud (qcow2 images) and Docker base images to the same status as other primary Server architectures. This would NOT currently include other components such as Workstation images/installs, any of the various spins, or Fedora Atomic components.

Comment 1 Jan Kurik 2018-02-20 14:10:25 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Fedora End Of Life 2018-02-20 15:38:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Peter Robinson 2018-02-20 17:40:10 UTC
The rel-eng PR has been merged so the core change of this is now complete.

Comment 4 Jan Kurik 2018-03-06 08:57:49 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Adam Williamson 2018-03-06 22:33:31 UTC
So far as openQA testing goes, there are at least these two things that need doing before any jobs will get run:

https://pagure.io/fedora-qa/issue/542
https://pagure.io/fedora-qa/os-autoinst-distri-fedora/issue/70

I can do these myself or someone else (e.g. pwhalen) can send PRs for them, I don't mind either way, just need to know what the plan is.


Note You need to log in before you can comment on or make changes to this bug.